// pages/customized/index/index.js
// customized/pages/made/car/car.js
let app = getApp();
let host = app.globalData.servsers; // 请求的url
Page({

  /**
   * 页面的初始数据
   */
  data: {
    Length: 6, //输入框个数
    Value: "", //输入的内容
    ispassword: true, //是否密文显示 true为密文， false为明文。
    pwdStatic: false, // 密码状态框，是否显示
    carNum: null,
    host: host,
    keyboard:[[1,2,3],[4,5,6],[7,8,9]],
    madeList: [
      // {
      // src:'/customized/images/customized/cup_black_small.png',
      // name:'奶缸-黑色 350ml',
      // price:'￥45.00',
      // btnText:'去定制',
      // btnDisabled:false,
      // state:true,
      // },
      // {
      //   src: '/customized/images/customized/cup_black_small_2.png',
      //   name: '奶缸-白色 350ml',
      //   price: '￥45.00',
      //   btnText: '去定制',
      //   btnDisabled: true,
      //   state: false,
      // },
      // {
      //   src: '/customized/images/customized/cup_black_small_3.png',
      //   name: '马克杯-白色 450ml',
      //   price: '￥45.00',
      //   btnText: '去定制',
      //   btnDisabled: true,
      //   state: false,
      // },
      // {
      //   src: '/customized/images/customized/cup_black_small_4.png',
      //   name: '马克杯-白色 300ml',
      //   price: '￥45.00',
      //   btnText: '去定制',
      //   btnDisabled: true,
      //   state: false,
      // }
    ]
  },

  /**
   * 生命周期函数--监听页面加载
   */
  onLoad: function (options) {

  },

  /**
   * 生命周期函数--监听页面初次渲染完成
   */
  onReady: function () {

  },

  /**
   * 生命周期函数--监听页面显示
   */
  onShow: function () {
    let data = this.data.Value ? {
      channalPwd: this.data.Value
    } : false
    this.getMadeList(this, data); // 获取商品列表
    this.getCarlist(this); //获取购物车列表
  },

  /**
   * 生命周期函数--监听页面隐藏
   */
  onHide: function () {

  },

  /**
   * 生命周期函数--监听页面卸载
   */
  onUnload: function () {

  },

  /**
   * 页面相关事件处理函数--监听用户下拉动作
   */
  onPullDownRefresh: function () {

  },

  /**
   * 页面上拉触底事件的处理函数
   */
  onReachBottom: function () {

  },

  /**
   * 用户点击右上角分享
   */
  onShareAppMessage: function () {

  },
  customized(e) {
    if (e.currentTarget.dataset.state == '1') {
      return;
    }
    console.log('canvas')
    let user_id = getApp().globalData.user_id;
    console.log(user_id, "user_iduser_iduser_id")
    if (!user_id) {
      wx.navigateTo({
        url: '/pages/authorize/authorize?link=customized&url="/customized/pages/goodsDetail/goodsDetail"',
      })
    } else {
      wx.setStorageSync('detail', e.currentTarget.dataset.detail)
      wx.navigateTo({
        url: "/customized/pages/goodsDetail/goodsDetail",
      })
    }
  },
  getCarlist(that) {
    wx.request({
      url: host + '/queryShopCar',
      method: 'post',
      header: {
        'content-type': 'application/x-www-form-urlencoded'
      },
      data: {
        userId: app.globalData.user_id //app.globalData.user_id //'oovpNwjlsY6xx8ceCebFa1dOLd9E'  //app.globalData.user_id,
      },
      success: function (res) {
        console.log('购物车列表数据', res)
        that.setData({
          carNum: res.data.length
        })
      }
    })
  },
  getMadeList(that, data) { // 获取列表
    wx.showLoading({
      title: '加载中...',
    })
    wx.request({
      url: host + '/custom/queryNotOpenCustomGoodsByPwd',
      method: 'get',
      header: {
        'content-type': 'application/x-www-form-urlencoded'
      },
      data: data ? data : {},
      success(res) {
        console.log(res)
        if (res.data.length === 0 && data) {
          wx.showToast({
            title: '密码输入错误',
            icon: 'none'
          })
        } else {
          that.setData({
            madeList: [...res.data]
          })
        }

      },
      fail(err) {
        console.log(err)
      },
      complete() {
        console.log('完成');
        wx.hideLoading()
      }
    })
  },
  vipBtn() { // 表示是vip操作
    this.setData({
      pwdStatic: true
    })
  },
 
  Tap() {
    var that = this;
    that.setData({
      isFocus: true,
    })
  },
  close() {
    this.setData({
      pwdStatic: false,
      Value:""
    })
  },
  keyboard(e){
    let num = e.currentTarget.dataset.num,
      that = this,
      Value = that.data.Value;
    console.log(that.data.Value.length,"长度")
    if (Value.length < 6){
      Value += num;
    }
    that.setData({
      Value: Value,
    })
    if (that.data.Value.length >= 6){
      that.close();
      setTimeout(()=>{
        that.getMadeList(that, {
          channalPwd: Value
        })
      },200)
      
      
    }
    
    console.log(that.data.Value)
  },
  keyboardDel(){
    let that = this;
    that.setData({
      Value: that.data.Value.substring(0, that.data.Value.length-1)
    })
    console.log(that.data.Value)
  }

})